installation error

Post Reply
thats_karlo
Posts: 108
Joined: Thu Sep 08, 2005 11:49 am

installation error

Post by thats_karlo »

Hi,

i'm using cygwin. and i like to install neuron from Unix environment.

i have the following error:
rpm --install nrn-6.0.i686.rpm
error: Failed dependencies:
/bin/sh is needed by nrn-6.0-rel1
libX11.so.6 is needed by nrn-6.0-rel1
libXext.so.6 is needed by nrn-6.0-rel1
libc.so.6 is needed by nrn-6.0-rel1
libc.so.6(GLIBC_2.0) is needed by nrn-6.0-rel1
libc.so.6(GLIBC_2.1) is needed by nrn-6.0-rel1
libc.so.6(GLIBC_2.1.3) is needed by nrn-6.0-rel1
libc.so.6(GLIBC_2.3) is needed by nrn-6.0-rel1
libdl.so.2 is needed by nrn-6.0-rel1
libdl.so.2(GLIBC_2.0) is needed by nrn-6.0-rel1
libdl.so.2(GLIBC_2.1) is needed by nrn-6.0-rel1
libgcc_s.so.1 is needed by nrn-6.0-rel1
libgcc_s.so.1(GCC_3.0) is needed by nrn-6.0-rel1
libm.so.6 is needed by nrn-6.0-rel1
libm.so.6(GLIBC_2.0) is needed by nrn-6.0-rel1
libm.so.6(GLIBC_2.1) is needed by nrn-6.0-rel1
libncurses.so.5 is needed by nrn-6.0-rel1
libstdc++.so.6 is needed by nrn-6.0-rel1
libstdc++.so.6(CXXABI_1.3) is needed by nrn-6.0-rel1
libstdc++.so.6(GLIBCXX_3.4) is needed by nrn-6.0-rel1

do you know what is missing in cygwin?

thanks
ted
Site Admin
Posts: 5784
Joined: Wed May 18, 2005 4:50 pm
Location: Yale University School of Medicine
Contact:

Post by ted »

It looks like you haven't installed a complete software development environment. Go back
to cygwin's distribution site and do that.
thats_karlo
Posts: 108
Joined: Thu Sep 08, 2005 11:49 am

Post by thats_karlo »

Thanks Ted,

After this error, when i back to run NEURON in winxp, it opens with very strange NEURON's windows, full screen, bigg font, balck.....

Has anybody else tried to run NEURON from cygwin?

I don't want to lose my ability to run NEURON from Winxp.

By the way I will install full version of cygwin, probably it solves the problem.

thanks
Post Reply